GSI Callback Constants

## Enumerations

## Detailed Description

## Enumeration Type Documentation

enum globus_gsi_callback_error_t

GSI Callback Error codes

Enumerator
GLOBUS_GSI_CALLBACK_ERROR_SUCCESS | Success - never used
GLOBUS_GSI_CALLBACK_ERROR_VERIFY_CRED | Error verifying credential
GLOBUS_GSI_CALLBACK_ERROR_CERT_NOT_YET_VALID | The certificate is not yet valid
GLOBUS_GSI_CALLBACK_ERROR_CANT_GET_LOCAL_CA_CERT | Unable to discover a local trusted CA for a given certificate
GLOBUS_GSI_CALLBACK_ERROR_CERT_HAS_EXPIRED | The certificate has expired
GLOBUS_GSI_CALLBACK_ERROR_INVALID_PROXY | The proxy format is invalid
GLOBUS_GSI_CALLBACK_ERROR_LIMITED_PROXY | Limited proxies are not accepted
GLOBUS_GSI_CALLBACK_ERROR_INVALID_CRL | Invalid CRL
GLOBUS_GSI_CALLBACK_ERROR_REVOKED_CERT | The certificate has been revoked
GLOBUS_GSI_CALLBACK_ERROR_MIXING_DIFFERENT_PROXY_TYPES | The cert chain contains both legacy on RFC compliant proxies
GLOBUS_GSI_CALLBACK_ERROR_WITH_SIGNING_POLICY | Could not verify certificate chain against the signing policy for the issuing CA
GLOBUS_GSI_CALLBACK_ERROR_OLD_GAA | OldGAA error
GLOBUS_GSI_CALLBACK_ERROR_CALLBACK_DATA | Error with the callback data structure
GLOBUS_GSI_CALLBACK_ERROR_ERRNO | System error
GLOBUS_GSI_CALLBACK_ERROR_CERT_CHAIN | Error setting or getting the cert chain from callback data
GLOBUS_GSI_CALLBACK_ERROR_WITH_CALLBACK_DATA_INDEX | Error getting callback data index
GLOBUS_GSI_CALLBACK_ERROR_PROXY_PATH_LENGTH_EXCEEDED | Exceeded the path length specified in the proxy cert info extension
GLOBUS_GSI_CALLBACK_ERROR_LAST | Last marker - never used